#
# spec file for package oniguruma
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           oniguruma
Version:        5.9.2
Release:        5.3
License:        BSD-2-Clause
Group:          Development/Languages/C and C++
Summary:        Regex Library Supporting Different Character Encodings
Url:            http://www.geocities.jp/kosako3/oniguruma/
Source:         onig-%{version}.tar.bz2
Source10:       %{name}-rpmlintrc
AutoReqProv:    on
BuildRequires:  ruby-devel >= 1.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Oniguruma is a regular expressions library.  The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.



Authors:
--------
    K. Kosako <sndgk393@ybb.ne.jp>

%package -n libonig2


Group:          Development/Languages/C and C++
Summary:        Regex Library Supporting Different Character Encodings

%description -n libonig2
Oniguruma is a regular expressions library.  The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.



Authors:
--------
    K. Kosako <sndgk393@ybb.ne.jp>

%package devel


Group:          Development/Languages/C and C++
Summary:        Regex Library Supporting Different Character Encodings - Development Files
Requires:       libonig2 = %version
Obsoletes:      oniguruma <= 2.5.7

%description devel
Oniguruma is a regular expressions library.  The characteristics of
this library is that different character encoding for every regular
expression object can be specified.

Supported character encodings: ASCII, UTF-8, UTF-16BE, UTF-16LE,
UTF-32BE, UTF-32LE, EUC-JP, EUC-TW, EUC-KR, EUC-CN, Shift_JIS, Big5, GB
18030, KOI8-R, KOI8, ISO-8859-1, ISO-8859-2, ISO-8859-3, ISO-8859-4,
ISO-8859-5, ISO-8859-6, ISO-8859-7, ISO-8859-8, ISO-8859-9,
ISO-8859-10, ISO-8859-11, ISO-8859-13, ISO-8859-14, ISO-8859-15,
ISO-8859-16.

This package contains all necessary include files and libraries needed to
develop applications that require it.



Authors:
--------
    K. Kosako <sndgk393@ybb.ne.jp>


%prep
%setup -q -n onig-%{version}
%{__cp} -rp sample/ examples

%build
export CFLAGS="%optflags -g"
%configure
%{__make}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/libonig.la

%clean
%{__rm} -rf %{buildroot}

%post -n libonig2 -p /sbin/ldconfig

%postun -n libonig2 -p /sbin/ldconfig

%files -n libonig2
%defattr(-,root,root,-)
%{_libdir}/libonig.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING HISTORY index.html index_ja.html README README.ja
%doc doc/* examples/
%{_libdir}/libonig.so
%{_libdir}/libonig.a
%{_includedir}/oniguruma.h
%{_includedir}/oniggnu.h
%{_includedir}/onigposix.h
%{_bindir}/onig-config

%changelog
* Sat Aug 14 2010 gber@opensuse.org
- update to version 5.9.2:
  + many fixes
- cleanup:
  + split into liborig2 and oniguruma-devel subpackages
  + corrected license information
  + changed summary to conform with policy
* Fri Sep 29 2006 mrueckert@suse.de
- update to version 2.5.7:
  many fixes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 27 2005 mrueckert@suse.de
- Initial package of version 2.5.1
